Bug 1284914 - Updating from 7.1 to 7.2 might fail with "ERROR: openstack 'NEUTRON_METADATA_PROXY_SHARED_SECRET'"
Updating from 7.1 to 7.2 might fail with "ERROR: openstack 'NEUTRON_METADATA_...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: y2
: 7.0 (Kilo)
Assigned To: Brad P. Crochet
Marius Cornea
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 08:08 EST by Giulio Fidente
Modified: 2015-12-21 11:52 EST (History)
7 users (show)

See Also:
Fixed In Version: python-rdomanager-oscplugin-0.0.10-17.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-21 11:52:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giulio Fidente 2015-11-24 08:08:11 EST
Description of problem:
when updating an Overcloud from 7.1 to 7.2 the 'overcloud deploy' command might fail with;

  ERROR: openstack 'NEUTRON_METADATA_PROXY_SHARED_SECRET'

it looks like we need to update the tripleo-overcloud-passwords first, see trace:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 295, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 53, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 1262, in take_action
    self._deploy_tripleo_heat_templates(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 505, in _deploy_tripleo_heat_templates
    parsed_args, network_client, stack)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 202, in _update_paramaters
    self.set_overcloud_passwords(parameters, args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 138, in set_overcloud_passwords
    passwords['NEUTRON_METADATA_PROXY_SHARED_SECRET'])
KeyError: 'NEUTRON_METADATA_PROXY_SHARED_SECRET'


Version-Release number of selected component (if applicable):
python-rdomanager-oscplugin-0.0.10-16.el7ost.noarch

How reproducible:
deploy an Overcloud with the 7.1 oscplugin, update the oscplugin and try to update the Overcloud configuration by repeating the 'openstack overcloud deploy' command
Comment 2 Marius Cornea 2015-12-09 18:01:39 EST
stack@instack:~>>> rpm -qa | grep oscplugin
python-rdomanager-oscplugin-0.0.10-8.el7ost.noarch

stack@instack:~>>> openstack overcloud deploy --templates ~/templates/my-overcloud -e ~/templates/my-overcloud/environments/network-isolation.yaml -e ~/templates/network-environment.yaml -e ~/templates/firstboot-environment.yaml --control-scale 3 --compute-scale 1 --ntp-server clock.redhat.com --libvirt-type qemu

stack@instack:~>>> rpm -qa | grep oscplugin
python-rdomanager-oscplugin-0.0.10-19.el7ost.noarch

stack@instack:~>>> openstack overcloud deploy --templates ~/templates/my-overcloud -e ~/templates/my-overcloud/environments/network-isolation.yaml -e ~/templates/network-environment.yaml -e ~/templates/firstboot-environment.yaml --control-scale 3 --compute-scale 1 --ntp-server clock.redhat.com --libvirt-type qemu
Deploying templates in the directory /home/stack/templates/my-overcloud
Overcloud Endpoint: http://172.16.23.10:5000/v2.0/
Overcloud Deployed
Comment 4 errata-xmlrpc 2015-12-21 11:52:50 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2650

Note You need to log in before you can comment on or make changes to this bug.